/emails/{emailId}Get a sent email
Authentication
Bearer authentication is required for this operation.
Path parameters
emailIdrequiredstringEmail identifier.
Request examples
curl --request GET 'https://api.au.boundry.dev/emails/string' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+200 response
The sent email.
attachmentsrequiredarrayAttachment metadata.
content_typerequiredstringAttachment media type. Example: "application/pdf".
filenamerequiredstringOriginal attachment filename. Example: "invoice.pdf".
idrequiredstringAttachment identifier. Example: "msg_01j0example".
sizerequiredintegerAttachment size in bytes. Example: 1234.
bccrequiredarrayBlind-carbon-copy recipients.
ccrequiredarrayCarbon-copy recipients.
channelrequiredstringMessaging channel. Values: "email".
created_atrequiredstring (date-time)Timestamp when Boundry accepted the message. Example: "2026-08-14T12:00:00.000Z".
fromrequiredstringSender email address. Example: "hello@example.com".
htmlrequiredstring | null | nullHTML body, or null when omitted.
Option 1stringHTML email content.
Option 2null | nullOne permitted response shape.
idrequiredstringMessage identifier. Example: "msg_01j0example".
last_eventrequiredstringLatest delivery lifecycle event. Values: "queued", "scheduled", "sending", "sent", "delivered", "delivery_delayed", "bounced", "complained", "opened", "clicked", "failed", "canceled", "received", "stored".
message_idrequiredstring | null | nullProvider message identifier, or null before delivery.
Option 1stringProvider message identifier.
Option 2null | nullOne permitted response shape.
objectrequiredstringResource type discriminator. Values: "email". Example: "email".
project_idrequiredstringOwning project identifier. Example: "msg_01j0example".
reply_torequiredarrayReply-to addresses.
scheduled_atrequirednull | nullScheduled delivery time; local mode does not schedule emails.
subjectrequiredstringEmail subject. Example: "Welcome to Boundry".
tagsrequiredarrayEmail tags.
namerequiredstringTag name. Example: "campaign".
valuerequiredstringTag value. Example: "welcome".
textrequiredstring | null | nullPlain-text body, or null when omitted.
Option 1stringPlain-text email content.
Option 2null | nullOne permitted response shape.
torequiredarrayRecipient email addresses.
{
"emailId": "msg_01j0example"
}401 response
Invalid API key.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"emailId": "msg_01j0example"
}404 response
Requested resource was not found.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"emailId": "msg_01j0example"
}422 response
Request validation failed.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"emailId": "msg_01j0example"
}